Bug 1027375 - new thin lv names are not checked against already in-use names
new thin lv names are not checked against already in-use names
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: python-blivet (Show other bugs)
7.0
All Linux
unspecified Severity unspecified
: rc
: ---
Assigned To: David Lehman
Release Test Team
:
Depends On: 1024076
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 11:53 EST by David Lehman
Modified: 2014-06-18 00:45 EDT (History)
7 users (show)

See Also:
Fixed In Version: python-blivet-0.18.15-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1024076
Environment:
Last Closed: 2014-06-13 09:00:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Lehman 2013-11-06 11:53:15 EST
+++ This bug was initially created as a clone of Bug #1024076 +++

Originally abrt dinged bug 1021507 with this.

Description of problem: When creating a thinpool LV with the same name as existing, I get a crash; by default for thinpool LV's, the installer isn't checking for existing names and can propose a default name for a new LV for an existing LV of the same name thus running into the crash.


Version-Release number of selected component (if applicable):
anaconda-20.25.4-1


How reproducible:
Always when new name = existing name, but so far only with Thin Provisioning does this happen by default.

Steps to Reproduce:
1. Minimal package set install to single disk, single LVM Thin Provisioning via Guided path.
2. Reboot to installer, custom path.
3. Remove existing fedora-home LV.
4. Reuse existing fedora-swap LV.
5. Create new mount point / without size value.
[I note that it makes the name of the LV "root" which is the same as existing LV.]
6. Begin installation.

Actual results:
Crash.

Expected results:
Error message about the conflicting new and existing names instead of crash.
LVM thin provisioning should check existing name and propose a non-conflicting name, which is how conventional LVM works.

Additional info:

--- Additional comment from David Lehman on 2013-10-28 15:35:03 EDT ---

Here's a link to an updates image that should fix this problem:

  http://dlehman.fedorapeople.org/updates/updates-1024076.0.img

Please report back with results.

--- Additional comment from Chris Murphy on 2013-10-28 17:31:02 EDT ---

With updates image applied, adding a new root LV as device LVM Thin Provisioning, the problem doesn't occur in that the new / is named root00. If I try to intentionally change it to root, it snaps back to root00.

--- Additional comment from Chris Murphy on 2013-10-30 19:29:27 EDT ---

Bug is fixed, marking as verified, remaining crash discussed in bug 1024144.


Clarified steps, attempting to reproduce this bug with the updates.img:
1. Minimal package set install to single disk, single LVM Thin Provisioning via Guided path.
2. Reboot to installer, with comment 5 updates.img applied, custom partition path, with Partition Scheme pop-up set to LVM Thin Provisioning.
3. Remove existing fedora-home LV.
4. Reuse existing fedora-swap LV.
4. Reuse existing /boot by reformatting.
6. Create new mount point / without size value.
7. Begin installation.
Succeeds and is bootable.

This bug was about new thinp LV's by default named the same as existing, then crashing, and that's no longer happening with updates.img: new LV is named differently by default, and even if I try to intentionally name it the same as existing, I'm thwarted. Thus, this is fixed.
Comment 2 Michal Kovarik 2014-02-11 10:36:02 EST
Verified on RHEL-7.0-20140210.0 with python-blivet-0.18.23-1.el7. Newly create root was named as root00, no crash appeared.
Comment 3 Ludek Smid 2014-06-13 09:00:22 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.